#
# spec file for package rubygem-celluloid
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-celluloid
Version:        0.16.0
Release:        6.3
%define mod_name celluloid
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
Url:            https://github.com/celluloid/celluloid
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Actor-based concurrent object framework for Ruby
License:        MIT
Group:          Development/Languages/Ruby

%description
Celluloid enables people to build concurrent programs out of concurrent
objects just as easily as they build sequential programs out of sequential
objects.

%prep

%build

%install
%gem_install \
  --doc-files="LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Thu Oct 23 2014 tboerger@suse.com
- Updated to 0.16.0
  - Factor apart Celluloid::Cell (concurrent objects) from
    Celluloid::Actor
  - Introduce Celluloid::ActorSystem as an abstraction around the
    backend actor implementation (idea borrowed from Akka)
  - Celluloid::Probe system for monitoring system behavior
  - Fix handling of timeouts with Celluloid::EventedMailbox
    (i.e. Celluloid::IO and Celluloid::ZMQ)
  - Add timeout support to Celluloid::Condition
  - Obtain actor names via Celluloid::Actor.registered_name
    and #registered_name to avoid conflicts with the built-in
    Ruby Class.name method
  - Update to timers 4.0.0
  - Dynamically resizable pools
  - Remove use of core Ruby ThreadGroups
  - Simplified CPU core detector
  - Better thread names on JRuby for easier debugging
  - Thread safety fixes to internal thread pool
* Sun Oct 12 2014 fcastelli@suse.com
- update to new packaging scheme and add gem2rpm.yml
* Thu Oct 10 2013 coolo@suse.com
- updated to version 0.15.2
* Sat Sep  7 2013 coolo@suse.com
- updated to version 0.15.1
* Thu Jun  6 2013 coolo@suse.com
- updated to version 0.14.1
* Fri Dec 14 2012 coolo@suse.com
- updated to version 0.12.4
* Mon Oct 29 2012 coolo@suse.com
- updated to version 0.12.3
* Tue Sep  4 2012 coolo@suse.com
- updated to version 0.12.0
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.11.1
* Thu May 12 2011 mrueckert@suse.de
- initial package (v0.0.3)
